Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Attributes | List of all members
OpenMesh::Python::CirculatorWrapperT< Circulator, CenterEntityHandle > Class Template Reference

`#include <libs_required/OpenMesh/src/Python/Circulator.hh>`

## Public Member Functions
| CirculatorWrapperT (PolyMesh &_mesh, CenterEntityHandle _center)
| CirculatorWrapperT (TriMesh &_mesh, CenterEntityHandle _center)
CirculatorWrapperT | iter () const
Circulator::value_type | next ()

## Private Attributes
Circulator | circulator_

## Detailed Description

### template<class Circulator, class CenterEntityHandle>
class OpenMesh::Python::CirculatorWrapperT< Circulator, CenterEntityHandle >

Wrapper for circulators.

This class template is used to wrap circulators for Python. It implements Python's iterator protocol (the magic methods __iter__ and __next__).

Template Parameters

  Circulator | A circulator type.

Definition at line 19 of file Circulator.hh.

## Constructor & Destructor Documentation

template<class Circulator, class CenterEntityHandle>

OpenMesh::Python::CirculatorWrapperT< Circulator, CenterEntityHandle >::CirculatorWrapperT | ( | PolyMesh & | _mesh,
|  | CenterEntityHandle | _center
| ) |  |
| inline

Constructor

Parameters

  _mesh | The mesh that contains the items to iterate over.
  _center | The handle to the center item.

Definition at line 28 of file Circulator.hh.

template<class Circulator, class CenterEntityHandle>

OpenMesh::Python::CirculatorWrapperT< Circulator, CenterEntityHandle >::CirculatorWrapperT | ( | TriMesh & | _mesh,
|  | CenterEntityHandle | _center
| ) |  |
| inline

Constructor

Parameters

  _mesh | The mesh that contains the items to iterate over.
  _center | The handle to the center item.

Definition at line 38 of file Circulator.hh.

## Member Function Documentation

template<class Circulator, class CenterEntityHandle>

CirculatorWrapperT OpenMesh::Python::CirculatorWrapperT< Circulator, CenterEntityHandle >::iter | ( |  | ) | const
| inline

Implementation of Python's __iter__ magic method.

Returns
  This circulator.

Definition at line 47 of file Circulator.hh.

template<class Circulator, class CenterEntityHandle>

Circulator::value_type OpenMesh::Python::CirculatorWrapperT< Circulator, CenterEntityHandle >::next | ( |  | ) |
| inline

Implementation of Python's __next__ magic method.

Returns
  The next item. Raises a Python StopIteration exception if there are no more items.

Definition at line 57 of file Circulator.hh.

The documentation for this class was generated from the following file:

- libs_required/OpenMesh/src/Python/Circulator.hh